org.apache.xmlbeans.impl.xb.xsdschema

## Interface LocalSimpleType

All Superinterfaces:
  Annotated, OpenAttrs, SimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  LocalSimpleTypeImpl

    public interface LocalSimpleType
    extends SimpleType

An XML localSimpleType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<LocalSimpleType>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.SimpleType

`addNewList, addNewRestriction, addNewUnion, getFinal, getList, getName, getRestriction, getUnion, isSetFinal, isSetList, isSetName, isSetRestriction, isSetUnion, setFinal, setList, setName, setRestriction, setUnion, unsetFinal, unsetList, unsetName, unsetRestriction, unsetUnion, xgetFinal, xgetName, xsetFinal, xsetName`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<LocalSimpleType> Factory

#### type

    static final SchemaType type